gs-oilify(1)

NAME
gs-oilify - applies the GIMP GEGL Oilify filter on an image

SYNOPSIS
gs-oilify input_filename output_filename
[-S masksize | - -mask-size masksize]
[-I on|off | - -intensity-mode on|off]
[-q | - -quiet] [-w | - -verbose]
gs-oilify [-h | - -help]
gs-oilify [-v | - -version]

DESCRIPTION
gs-oilify runs GIMP to load an image, applies the GIMP GEGL "Oilify" filter (details: GEGL Oilify: https://gegl.org/operations/gegl-oilify.html), and stores the result into an output file. The mask size and intensity mode (on or off) are configurable.

ARGUMENTS
The following options are available:

input_filename
    The input image. Any format supported by GIMP can be used. The format will be detected automatically.

output_filename
    The name for the output image to be written. Any format supported by GIMP can be used. The format will be detected by the provided file name extension (e.g. .jpeg, .png, .webp, .pdf, ...). An existing output file will be overwritten.

-S masksize | - -mask-size masksize
    Specifies the mask size. Range: 2-200. Default: 8.

-I on|off | - -intensity-mode on|off
    Turns intensity mode on or off. Default: on.

-q | - -quiet
    Quiet mode: suppress GIMP console output. This is the default.

-w | - -verbose
    Verbose mode: print GIMP console output and processing details.

-h | - -help
    Prints the program's command-line parameters and exits.

-v | - -version
    Prints the program version and exits.

EXIT STATUS
The gs-oilify tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

gs-oilify Bergen.jpeg Bergen-Oilify.png -S 12 -I off

gs-oilify Bergen.jpeg Bergen-Oilify.webp --mask-size 10 --verbose

gs-oilify --help

gs-oilify -h

gs-oilify --version

gs-oilify -v

SEE ALSO
gs-bumpmap(1), gs-caption(1), gs-clothify(1), gs-glossytext(1), gs-mosaic(1), gs-oldphoto(1), gs-resize-with-cropping(1), gs-test-gimp(1)

NOTES
This program is part of System-Tools. The latest version of System-Tools can be found on the System-Tools Homepage at System-Tools Homepage: https://www.nntb.no/~dreibh/system-tools/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh